---
title: "Create organization brand"
url: "https://docs.signnow.com/docs/organization-branding/operations/post-v2-organizations-organization_id-brands"
type: "endpoint"
section: "organization-branding"
slug: "organization-branding/operations/post-v2-organizations-organization_id-brands"
method: "POST"
path: "/v2/organizations/{organization_id}/brands"
operation_id: "post-v2-organizations-organization_id-brands"
authorization: "bearer"
---

# Create organization brand

`POST /v2/organizations/{organization_id}/brands`

This endpoint allows users to create a brand for an organization. Only an admin or moderator of the organization can perform this action.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `organization_id` | string | Yes | ID of the organization. Must match the pattern: [a-z0-9]{40}. |

## Request Body

**Schema**

```json
{
  "type": "object",
  "required": [
    "title"
  ],
  "properties": {
    "title": {
      "type": "string",
      "example": "HR documents",
      "maxLength": 100,
      "description": "Brand name",
      "x-stoplight": {
        "id": "o4f6tpxsanwgr"
      }
    }
  }
}
```

## Responses

### 201

Created

### 400

* Incorrect or missing token
* Request body is missing
* Incorrect payload
* `title` is not string
* `title` is empty
* `title` is longer than 100 characters

**Example** (`Empty title`)

```json
{
  "errors": [
    {
      "code": 25002034,
      "message": "Brand title must not be an empty string."
    }
  ]
}
```

**Example** (`title not string`)

```json
{
  "errors": [
    {
      "code": 25002031,
      "message": "Brand title must be a string."
    }
  ]
}
```

**Example** (`Incorrect payload`)

```json
{
  "errors": [
    {
      "code": 25002002,
      "message": "Invalid payload given."
    }
  ]
}
```

**Example** (`title is too long`)

```json
{
  "errors": [
    {
      "code": 25002032,
      "message": "Brand title length must less, than 100 characters."
    }
  ]
}
```

**Example** (`Request body missing`)

```json
{
  "errors": [
    {
      "code": 25002033,
      "message": "Brand title is required."
    }
  ]
}
```

**Example** (`Incorrect or missing token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

### 403

* The user is authorized with a token from an app they don’t own.
* The user is neither admin, nor moderator of the organization.

**Example** (`User doesn't own the app`)

```json
{
  "code": 25002001,
  "message": "Brand action not allowed"
}
```

**Example** (`User not admin or moderator`)

```json
{
  "code": 25006002,
  "message": "Insufficient organization rights."
}
```

### 404

The organization is not found

**Example** (`Organization not found`)

```json
{
  "code": 25006001,
  "message": "Organization not found."
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X POST \
  "https://api.signnow.com/v2/organizations/{organization_id}/brands" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json"
```

---
*Full reference: https://docs.signnow.com/docs/organization-branding/operations/post-v2-organizations-organization_id-brands*
